package policiaOntology;

import java.io.Serializable;
import java.beans.PropertyChangeSupport;
import java.beans.PropertyChangeListener;

import jade.content.*;
import jade.util.leap.*;
import jade.core.*;

/**
* Protege name: Descripcion
* @author ontology bean generator
* @version 2011/03/30, 14:23:40
*/
public class Descripcion implements Concept, Serializable {
   // bean stuff
   protected PropertyChangeSupport pcs = new PropertyChangeSupport(this);

   public void addPropertyChangeListener(PropertyChangeListener pcl) {
     pcs.addPropertyChangeListener(pcl);
   }

   public void removePropertyChangeListener(PropertyChangeListener pcl) {
     pcs.removePropertyChangeListener(pcl);
   }


   /**
* Protege name: Nombre
   */
   private String nombre;
   public void setNombre(String value) { 
     pcs.firePropertyChange("nombre", (this.nombre==null?new String():this.nombre), value);
    this.nombre=value;
   }
   public String getNombre() {
     return this.nombre;
   }

}
